<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CelsiusToFahrenheit StructType
 * @subpackage Structs
 */
class CelsiusToFahrenheit extends AbstractStructBase
{
    /**
     * The Celsius
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Celsius;
    /**
     * Constructor method for CelsiusToFahrenheit
     * @uses CelsiusToFahrenheit::setCelsius()
     * @param string $celsius
     */
    public function __construct($celsius = null)
    {
        $this
            ->setCelsius($celsius);
    }
    /**
     * Get Celsius value
     * @return string|null
     */
    public function getCelsius()
    {
        return $this->Celsius;
    }
    /**
     * Set Celsius value
     * @param string $celsius
     * @return CelsiusToFahrenheit
     */
    public function setCelsius($celsius = null)
    {
        // validation for constraint: string
        if (!is_null($celsius) && !is_string($celsius)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($celsius, true), gettype($celsius)), __LINE__);
        }
        $this->Celsius = $celsius;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return CelsiusToFahrenheit
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
