<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for FahrenheitToCelsius StructType
 * @subpackage Structs
 */
class FahrenheitToCelsius extends AbstractStructBase
{
    /**
     * The Fahrenheit
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $Fahrenheit;
    /**
     * Constructor method for FahrenheitToCelsius
     * @uses FahrenheitToCelsius::setFahrenheit()
     * @param string $fahrenheit
     */
    public function __construct($fahrenheit = null)
    {
        $this
            ->setFahrenheit($fahrenheit);
    }
    /**
     * Get Fahrenheit value
     * @return string|null
     */
    public function getFahrenheit()
    {
        return $this->Fahrenheit;
    }
    /**
     * Set Fahrenheit value
     * @param string $fahrenheit
     * @return FahrenheitToCelsius
     */
    public function setFahrenheit($fahrenheit = null)
    {
        // validation for constraint: string
        if (!is_null($fahrenheit) && !is_string($fahrenheit)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($fahrenheit, true), gettype($fahrenheit)), __LINE__);
        }
        $this->Fahrenheit = $fahrenheit;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return FahrenheitToCelsius
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
